dnl
dnl $ Id: $
dnl

PHP_ARG_WITH(textconv, whether textconv is available,[  --with-textconv[=DIR] With textconv support])


if test "$PHP_TEXTCONV" != "no"; then


  if test -r "$PHP_TEXTCONV/include/textconv/textconv.h"; then
	PHP_TEXTCONV_DIR="$PHP_TEXTCONV"
  else
	AC_MSG_CHECKING(for textconv in default path)
	for i in /usr /usr/local; do
	  if test -r "$i/include/textconv/textconv.h"; then
		PHP_TEXTCONV_DIR=$i
		AC_MSG_RESULT(found in $i)
		break
	  fi
	done
	if test "x" = "x$PHP_TEXTCONV_DIR"; then
	  AC_MSG_ERROR(not found)
	fi
  fi

  PHP_ADD_INCLUDE($PHP_TEXTCONV_DIR/include)

  export OLD_CPPFLAGS="$CPPFLAGS"
  export CPPFLAGS="$CPPFLAGS $INCLUDES -DHAVE_TEXTCONV"
  AC_CHECK_HEADER([textconv/textconv.h], [], AC_MSG_ERROR('textconv/textconv.h' header not found))
  AC_CHECK_HEADER([readarchive.h], [], AC_MSG_ERROR('readarchive.h' header not found))
  PHP_SUBST(TEXTCONV_SHARED_LIBADD)

  PHP_ADD_LIBRARY_WITH_PATH(textconv, $PHP_TEXTCONV_DIR/lib, TEXTCONV_SHARED_LIBADD)
  PHP_ADD_LIBRARY_WITH_PATH(readarchive, $PHP_TEXTCONV_DIR/lib, TEXTCONV_SHARED_LIBADD)
  export CPPFLAGS="$OLD_CPPFLAGS"

  export OLD_CPPFLAGS="$CPPFLAGS"
  export CPPFLAGS="$CPPFLAGS $INCLUDES -DHAVE_TEXTCONV"

  AC_MSG_CHECKING(PHP version)
  AC_TRY_COMPILE([#include <php_version.h>], [
#if PHP_VERSION_ID < 40000
#error  this extension requires at least PHP version 4.0.0
#endif
],
[AC_MSG_RESULT(ok)],
[AC_MSG_ERROR([need at least PHP 4.0.0])])

  export CPPFLAGS="$OLD_CPPFLAGS"


  PHP_SUBST(TEXTCONV_SHARED_LIBADD)
  AC_DEFINE(HAVE_TEXTCONV, 1, [ ])

  PHP_NEW_EXTENSION(textconv, textconv.c , $ext_shared)

fi

